import hasRole from './permission/hasRole'
import hasPermi from './permission/hasPermi'
import hasPermi2 from './permission/hasPermi2'
import copyText from './common/copyText'

export default function directive(app){
  app.directive('hasPermi', hasPermi)
  app.directive('hasPermi2', hasPermi2)
  app.directive('hasRole', hasRole)
  app.directive('copyText', copyText)
}